### Hierarchy

- BaseAPI
  - MicroblocksApi

### Implements

- MicroblocksApiInterface

## Index

### Constructors

- constructor

### Properties

- configuration

### Methods

- getMicroblockByHash
- getMicroblockByHashRaw
- getMicroblockList
- getMicroblockListRaw
- getUnanchoredTxs
- getUnanchoredTxsRaw
- request
- withMiddleware
- withPostMiddleware
- withPreMiddleware

## Constructors

### constructor

- new MicroblocksApi(configuration?: Configuration ): MicroblocksApi

- Inherited from BaseAPI.constructor

  - Defined in src/generated/runtime.ts:25

  #### Parameters

  - ##### configuration: Configuration = ...

  #### Returns MicroblocksApi

## Properties

### Protected configuration

configuration: Configuration = ...

Inherited from BaseAPI.configuration

## Methods

### getMicroblockByHash

- getMicroblockByHash(requestParameters: GetMicroblockByHashRequest, initOverrides?: RequestInit): Promise< Microblock >

- Implementation of MicroblocksApiInterface.getMicroblockByHash

  - Defined in src/generated/apis/MicroblocksApi.ts:126

  Get a specific microblock by hash Get microblock

  #### Parameters

  - ##### requestParameters: GetMicroblockByHashRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< Microblock >

### getMicroblockByHashRaw

- getMicroblockByHashRaw(requestParameters: GetMicroblockByHashRequest, initOverrides?: RequestInit): Promise< ApiResponse < Microblock >>

- Implementation of MicroblocksApiInterface.getMicroblockByHashRaw

  - Defined in src/generated/apis/MicroblocksApi.ts:103

  Get a specific microblock by hash Get microblock

  #### Parameters

  - ##### requestParameters: GetMicroblockByHashRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < Microblock >>

### getMicroblockList

- getMicroblockList(requestParameters: GetMicroblockListRequest, initOverrides?: RequestInit): Promise< MicroblockListResponse >

- Implementation of MicroblocksApiInterface.getMicroblockList

  - Defined in src/generated/apis/MicroblocksApi.ts:160

  Get recent microblocks

  #### Parameters

  - ##### requestParameters: GetMicroblockListRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< MicroblockListResponse >

### getMicroblockListRaw

- getMicroblockListRaw(requestParameters: GetMicroblockListRequest, initOverrides?: RequestInit): Promise< ApiResponse < MicroblockListResponse >>

- Implementation of MicroblocksApiInterface.getMicroblockListRaw

  - Defined in src/generated/apis/MicroblocksApi.ts:134

  Get recent microblocks

  #### Parameters

  - ##### requestParameters: GetMicroblockListRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < MicroblockListResponse >>

### getUnanchoredTxs

- getUnanchoredTxs(initOverrides?: RequestInit): Promise< UnanchoredTransactionListResponse >

- Implementation of MicroblocksApiInterface.getUnanchoredTxs

  - Defined in src/generated/apis/MicroblocksApi.ts:188

  This contains transactions that have been streamed in microblocks but not yet accepted or rejected in an anchor block Get the list of current transactions that belong to unanchored microblocks

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< UnanchoredTransactionListResponse >

### getUnanchoredTxsRaw

- getUnanchoredTxsRaw(initOverrides?: RequestInit): Promise< ApiResponse < UnanchoredTransactionListResponse >>

- Implementation of MicroblocksApiInterface.getUnanchoredTxsRaw

  - Defined in src/generated/apis/MicroblocksApi.ts:169

  This contains transactions that have been streamed in microblocks but not yet accepted or rejected in an anchor block Get the list of current transactions that belong to unanchored microblocks

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < UnanchoredTransactionListResponse >>

### Protected request

- request(context: RequestOpts, initOverrides?: RequestInit): Promise<Response>

- Inherited from BaseAPI.request

  - Defined in src/generated/runtime.ts:47

  #### Parameters

  - ##### context: RequestOpts

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<Response>

### withMiddleware

- withMiddleware<T>(...middlewares: Middleware []): T

- Inherited from BaseAPI.withMiddleware

  - Defined in src/generated/runtime.ts:31

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...middlewares: Middleware []

  #### Returns T

### withPostMiddleware

- withPostMiddleware<T>(...postMiddlewares: ((context: ResponseContext ) => Promise<void | Response>)[]): T

- Inherited from BaseAPI.withPostMiddleware

  - Defined in src/generated/runtime.ts:42

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...postMiddlewares: ((context: ResponseContext ) => Promise<void | Response>)[]

  #### Returns T

### withPreMiddleware

- withPreMiddleware<T>(...preMiddlewares: ((context: RequestContext ) => Promise<void | FetchParams >)[]): T

- Inherited from BaseAPI.withPreMiddleware

  - Defined in src/generated/runtime.ts:37

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...preMiddlewares: ((context: RequestContext ) => Promise<void | FetchParams >)[]

  #### Returns T

Generated using TypeDoc